package
{
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.KeyboardEvent;
	import flash.text.TextField;
	import flash.text.TextFieldType;
	import flash.text.TextFormat;
	import flash.ui.Keyboard;
	
	/**
	 * AlertApp
	 *
	 * author: Yun Jinsang (a.k.a. Wooyaggo, http://www.as3.kr, victim4 at gmail.com)
	 * created: Aug 13, 2012
	 *
	 */
	[SWF (widthPercent="100%", heightPercent="100%", frameRate="60")]
	public class AlertApp extends Sprite
	{
		private var txtTitle: TextField;
		private var txtMessage: TextField;
		
		public function AlertApp()
		{
			initTextField();
			initExtension();
		}
		
		private function initTextField(): void
		{
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			txtTitle = createTextField();
			txtTitle.x = 5;
			txtTitle.y = 5;
			
			txtMessage = createTextField();
			txtMessage.x = 5;
			txtMessage.y = 60;
			txtMessage.addEventListener( KeyboardEvent.KEY_DOWN, showAlertListener );
		}
		
		private function showAlertListener( $e: KeyboardEvent ): void
		{
			if( $e.keyCode != Keyboard.ENTER )
				return;
			
			var title: String = txtTitle.text || "";
			var message: String = txtMessage.text || "";
			
			_extension.alert( title, message );
		}
		
		private var _extension: AlertExtension;
		private function initExtension(): void
		{
			_extension = new AlertExtension;
		}
		
		private function createTextField(): TextField
		{
			var txt: TextField = new TextField;
			txt.type = TextFieldType.INPUT;
			txt.border = true;
			txt.defaultTextFormat = new TextFormat( null, 48 );
			//txt.embedFonts = true;
			txt.width = stage.stageWidth - 10;
			txt.height = 50;
			
			addChild( txt );
			
			return txt;
		}
	}
}